# Generated by Django 3.0.3 on 2020-03-01 21:11

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import djmypypi.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Package',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('version', models.CharField(max_length=20, verbose_name='Version')),
                ('author', models.CharField(blank=True, default='', max_length=100, verbose_name='Author')),
                ('author_email', models.CharField(blank=True, default='', max_length=100, verbose_name='Author email')),
                ('maintainer', models.CharField(blank=True, default='', max_length=100, verbose_name='Maintainer')),
                ('maintainer_email', models.CharField(blank=True, default='', max_length=100, verbose_name='Maintainer email')),
                ('summary', models.TextField(blank=True, default='', verbose_name='Summary')),
                ('description', models.TextField(blank=True, default='', verbose_name='Description')),
                ('home_page', models.URLField(blank=True, default='', max_length=255, verbose_name='Homepage')),
                ('license', models.TextField(blank=True, default='', max_length=20, verbose_name='License')),
                ('classifiers', models.TextField(blank=True, default='', verbose_name='Classifiers')),
                ('last_uploaded', models.DateTimeField(auto_now=True, verbose_name='Last uploaded')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='python_packages', to=settings.AUTH_USER_MODEL, verbose_name='User')),
            ],
            options={
                'verbose_name': 'Package',
                'verbose_name_plural': 'Packages',
            },
        ),
        migrations.CreateModel(
            name='Version',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('version', models.CharField(max_length=20, verbose_name='Version')),
                ('author', models.CharField(blank=True, default='', max_length=100, verbose_name='Author')),
                ('author_email', models.CharField(blank=True, default='', max_length=100, verbose_name='Author email')),
                ('maintainer', models.CharField(blank=True, default='', max_length=100, verbose_name='Maintainer')),
                ('maintainer_email', models.CharField(blank=True, default='', max_length=100, verbose_name='Maintainer email')),
                ('summary', models.TextField(blank=True, default='', verbose_name='Summary')),
                ('description', models.TextField(blank=True, default='', verbose_name='Description')),
                ('home_page', models.URLField(blank=True, default='', max_length=255, verbose_name='Homepage')),
                ('license', models.TextField(blank=True, default='', max_length=20, verbose_name='License')),
                ('classifiers', models.TextField(blank=True, default='', verbose_name='Classifiers')),
                ('archive', models.FileField(upload_to=djmypypi.models.upload_version_to, verbose_name='Package file')),
                ('archive_name', models.CharField(max_length=100, unique=True, verbose_name='Archive name')),
                ('md5_digest', models.CharField(max_length=100, unique=True, verbose_name='MD5')),
                ('uploaded', models.DateTimeField(auto_now_add=True, verbose_name='Uploaded')),
                ('package', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='versions', to='djmypypi.Package', verbose_name='Package')),
            ],
            options={
                'verbose_name': 'Versions',
            },
        ),
    ]
